<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions">
	<h1>
		<small>Movimentação do Caixa</small>
	</h1>
	<p:tabView dynamic="true" id="tabMovCaixa">
		<p:tab title="Movimentação">
			<h:form id="form" enctype="multipart/form-data">
				<h:panelGrid columns="2" id="panel-consulta"
					style="padding-top: 10px;">

					<p:outputLabel value="Data Inicial:" />
					<p:calendar id="inicial" pattern="dd/MM/yyyy"
						value="#{movimentoCaixaController.movimentoCaixaDto.dateIncial}"
						mask="true" />

					<p:outputLabel value="Data Final: " />
					<p:calendar id="final" pattern="dd/MM/yyyy"
						value="#{movimentoCaixaController.movimentoCaixaDto.dateFinal}"
						mask="true" />

				</h:panelGrid>

				<center>
					<p:commandButton value="Buscar" id="buscar"
						actionListener="#{movimentoCaixaController.consultarMovimentoCaixa}"
						update=":tabMovCaixa:form:tblMovCaixa growl"
						process="@this :tabMovCaixa:form:panel-consulta" />
				</center>

				<p:dataTable id="tblMovCaixa"
					emptyMessage="Nenhuma movimentação de caixa..." paginator="true"
					value="#{movimentoCaixaController.listaMovimentoCaixa}"
					paginatorAlwaysVisible="true" paginatorPosition="bottom"
					style="margin-top: 20px" var="movcaixa" rows="10">

					<p:column headerText="Hora: " width="100">
						<h:outputText value="#{movcaixa.hora}">
							<f:convertDateTime locale="pt_BR" timeZone="GMT-03:00"
								pattern="HH:mm:ss" />
						</h:outputText>
					</p:column>

					<p:column headerText="Valor: " width="100">
						<h:outputText value="#{movcaixa.valorMovimentoCaixa}">
							 <f:convertNumber type="currency" currencySymbol="R$" locale="pt_BR" />
						</h:outputText>
					</p:column>

					<p:column headerText="Caixa Nª" width="50">
						<h:outputText value="#{movcaixa.caixa.id}" />
					</p:column>

					<p:column headerText="Usuario" width="100">
						<h:outputText value="#{movcaixa.usuario.nomeCompleto}" />
					</p:column>

					<p:column headerText="Observação">
						<h:outputText value="#{movcaixa.observacao}" />
					</p:column>
				</p:dataTable>
			</h:form>
		</p:tab>
	</p:tabView>
</ui:composition>